Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.merge
Class DefaultValueForNullProvider

    java.lang.Object
      org.apache.cayenne.merge.DefaultValueForNullProvider

All Implemented Interfaces:
  ValueForNullProvider

    public class DefaultValueForNullProvider

extends Object
implements ValueForNullProvider

Constructor Summary
`DefaultValueForNullProvider()`

Method Summary
`List<String>` | `createSql(DbEntity entity, DbAttribute column)`
`protected ParameterBinding` | `get(DbEntity entity, DbAttribute column)`
`boolean` | `hasValueFor(DbEntity entity, DbAttribute column)`
`void` | `set(DbEntity entity, DbAttribute column, Object value, int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultValueForNullProvider

    public DefaultValueForNullProvider()

Method Detail

### set

    public void set(DbEntity entity,
                    DbAttribute column,
                    Object value,
                    int type)

### get

    protected ParameterBinding get(DbEntity entity,
                                   DbAttribute column)

### createSql

    public List<String> createSql(DbEntity entity,
                                  DbAttribute column)

  Specified by:
    `createSql` in interface `ValueForNullProvider`
  Returns:
    a `List` of sql to set value for null

### hasValueFor

    public boolean hasValueFor(DbEntity entity,
                               DbAttribute column)

  Specified by:
    `hasValueFor` in interface `ValueForNullProvider`
  Returns:
    true if there exist a value that should be inserted for null values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 Apache Cayenne. All Rights Reserved.